<?php
namespace Mirasvit\Brand\Block\Menu\Modal;

/**
 * Interceptor class for @see \Mirasvit\Brand\Block\Menu\Modal
 */
class Interceptor extends \Mirasvit\Brand\Block\Menu\Modal implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Brand\Model\Config\GeneralConfig $config, \Mirasvit\Brand\Service\BrandUrlService $brandUrlService, \Mirasvit\Brand\Service\BrandListService $brandListService, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($config, $brandUrlService, $brandListService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
